<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.payment.dao.KwpSettlementTradeMapper">
  <resultMap id="BaseResultMap" type="com.sckw.payment.model.KwpSettlementTrade">
    <!--@mbg.generated-->
    <!--@Table kwp_settlement_trade-->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="ent_id" jdbcType="BIGINT" property="entId" />
    <result column="t_ledger_id" jdbcType="BIGINT" property="tLedgerId" />
    <result column="st_order_no" jdbcType="VARCHAR" property="stOrderNo" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="total_price" jdbcType="DECIMAL" property="totalPrice" />
    <result column="actual_price" jdbcType="DECIMAL" property="actualPrice" />
    <result column="receipt_time" jdbcType="TIMESTAMP" property="receiptTime" />
    <result column="audit_user" jdbcType="VARCHAR" property="auditUser" />
    <result column="audit_phone" jdbcType="VARCHAR" property="auditPhone" />
    <result column="success_user" jdbcType="VARCHAR" property="successUser" />
    <result column="success_phone" jdbcType="VARCHAR" property="successPhone" />
    <result column="remark" jdbcType="VARCHAR" property="remark" />
    <result column="status" jdbcType="INTEGER" property="status" />
    <result column="create_by" jdbcType="BIGINT" property="createBy" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_by" jdbcType="BIGINT" property="updateBy" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="del_flag" jdbcType="INTEGER" property="delFlag" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, ent_id, t_ledger_id, st_order_no, `name`, total_price, actual_price, receipt_time, 
    audit_user, audit_phone, success_user, success_phone, remark, `status`, create_by, 
    create_time, update_by, update_time, del_flag
  </sql>
</mapper>